Developers
API referenceReferenceReports

EU VAT report

Generate EU VAT report data as JSON using typed report request filters and columns.

POST
/v1/business/{business_slug}/report/eu-vat-contact-report/

Path Parameters

business_slug*string

Business slug that scopes this request. If you do not have one yet, call common_accessible_businesses_list and pick a slug from the response.

Request Body

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/v1/business/string/report/eu-vat-contact-report/" \  -H "Content-Type: application/json" \  -d '{    "columns": [      {        "date_from": "2019-08-24",        "date_to": "2019-08-24"      }    ]  }'
{  "report_type": "string",  "date_from": "2019-08-24",  "date_to": "2019-08-24",  "business_vat_id": "string",  "rows": [    {      "country_code": "string",      "vat_id": "string",      "name": "string",      "vat_handling": "string",      "net_amount": 0.1,      "vat_id_missing": true,      "contact_missing": true,      "document_id": 0,      "document_number": "string"    }  ],  "private_person_rows": [    {      "country_code": "string",      "vat_id": "string",      "name": "string",      "vat_handling": "string",      "net_amount": 0.1,      "vat_id_missing": true,      "contact_missing": true,      "document_id": 0,      "document_number": "string"    }  ]}